/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.SpeechView {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 100%;
}
.SpeechRow {
    display: flex;
    flex-direction: row;
    width: 100%;
    flex-shrink: 0;

    &:nth-child(2n + 1) {
        background-color: _palette(border-bg);
    }
}
.SpeechRow--header {
    border-bottom: solid 2px _palette(border);
}
.SpeechRow--header__cell {
    font-size: 0.9em;
    font-weight: _font(weight-bold);
    text-align: left;
}

.SpeechRow__cell {
    padding: 0 0.75em;
    border: solid 1px _palette(border);
    border-top: 0;
    border-bottom: 0;

    display: flex;
    align-self: stretch;
    align-items: center;
}
.SpeechRow__cell--idea,
.SpeechRow__cell--elaboration {
    overflow-x: hidden;
}
.SpeechRow__cell--slide {
    width: (192px + 38px); /* Padding */
}
.SpeechRow__cell .ql-container {
    width: 100%;
    height: 100%;
}

.bullet {
    width: 100%;
}

.SpeechRow__cell--idea,
.SpeechRow__cell--elaboration {
    /* Done by the RowDragBar */
    border-left: 0;
    border-right: 0;
}


@include breakpoint(medium) {
    .RowDragBar {
        display: none;
    }
    .SpeechRow--header {
        display: none;
    }
    .SpeechRow {
        flex-direction: column;
        border-top: solid 1px _palette(border);
        border-bottom: solid 1px _palette(border);
    }
    .SpeechRow__cell {
        width: 100% !important;
        border: none;

    }

    .SpeechRow {
        position: relative;
        min-height: 108px;
        padding-right: 192px;
    }
    .SpeechRow__cell--slide {
        position: absolute;
        justify-content: flex-end;
        top: 0;
        right: 0;
        width: 192px !important;
    }

    .SpeechRow__cell--elaboration {
        .ql-editor {
            padding-top: 0;
        }
    }
    .SpeechRow__cell--empty {
        display: none;
    }
}

@include breakpoint(small) {
    .SpeechRow {
        min-height: none;
        padding-right: 0;
    }
    .SpeechRow__cell--slide {
        position: initial;
        justify-content: center;
        pointer-events: initial;
        width: 100% !important;
    }
}
